View Issue Details

IDProjectCategoryLast Update
0021029AI War 2[All Projects] GUIJun 19, 2019 3:51 pm
Reporterx4000BughunterAssigned ToRocketAssistedPuffin 
Severityminor 
Status resolvedResolutionfixed 
Product Version 
Fixed in VersionBETA 0.868 Fleet EXP Level-Ups and Starting Battlestations 
Summary0021029: Get a whole new collection of quick starts in place prior to full 0.900 coming out.
DescriptionAll of the existing ones are busted because of the savegame format, but we don't want to create more of these until the savegame stuff fully settles down.
TagsNo tags attached.

Relationships

related to 0021221 resolvedx4000Bughunter Missing Quick Start New Campaign Interface 
child of 0021022 resolvedx4000Bughunter Various fleet-related ideas (parent). 

Activities

x4000Bughunter

May 31, 2019 3:20 pm

administrator   ~0051772

This part is done:

* Quick Starts have been added back into the game, and now function again.
** However, we had to create a whole new set of them, since the old quick starts were all in the old savegame format and also didn't really have settings that make sense anymore, anyway.
** The order for the categories of basic, moderate, and harder is now in the order you would naturally expect (1,2,3), and then the Fun With Factions are later on. As will any other generalized quick starts be.
** We have only added in three quick starts thus far, all in the basic category. The others we'll work on soon.
*** One has the classic fleet as the starting situation, with a difficulty 6 AI and 100 planets on a realistic map.
*** The next has the classic fleet, with two difficulty 6 AIs and a 120 planet Octopus map.
*** The last has the raid fleet, with one difficulty 7 AI, and then also the Zenith Trader wandering around. Clusters microcosm map.

x4000Bughunter

May 31, 2019 3:21 pm

administrator   ~0051773

Puffin, no rush on this, but I wonder if you'd be willing to set up some new quick starts beyond these? You did a lot of the previous ones, which was great and a huge timesaver for me. I'm just pleased these actually work now! ;)

RocketAssistedPuffin

May 31, 2019 4:52 pm

developer   ~0051776

Aye, most likely. Hopefully I have not quite as cheesy feeling writing this time around?

I'll see if anyone has settings they liked.

x4000Bughunter

May 31, 2019 9:10 pm

administrator   ~0051778

Thanks! I really appreciate it. Frankly, duplicating some of the ones from before, but with the new fleets instead of Arks, and things like that, would be ok with me.

RocketAssistedPuffin

Jun 19, 2019 3:51 pm

developer   ~0051927

Added 10 more of these. There's more than we had before Fleets, and I think better this time.

Issue History

Date Modified Username Field Change
Apr 18, 2019 12:11 pm x4000Bughunter New Issue
Apr 18, 2019 12:11 pm x4000Bughunter Status new => assigned
Apr 18, 2019 12:11 pm x4000Bughunter Assigned To => x4000Bughunter
Apr 18, 2019 12:12 pm x4000Bughunter Relationship added child of 0021022
May 31, 2019 2:46 pm x4000Bughunter Relationship added related to 0021221
May 31, 2019 3:20 pm x4000Bughunter Assigned To x4000Bughunter => RocketAssistedPuffin
May 31, 2019 3:20 pm x4000Bughunter Note Added: 0051772
May 31, 2019 3:21 pm x4000Bughunter Note Added: 0051773
May 31, 2019 4:52 pm RocketAssistedPuffin Note Added: 0051776
May 31, 2019 9:10 pm x4000Bughunter Note Added: 0051778
Jun 19, 2019 3:51 pm RocketAssistedPuffin Status assigned => resolved
Jun 19, 2019 3:51 pm RocketAssistedPuffin Resolution open => fixed
Jun 19, 2019 3:51 pm RocketAssistedPuffin Fixed in Version => BETA 0.868 Fleet EXP Level-Ups and Starting Battlestations
Jun 19, 2019 3:51 pm RocketAssistedPuffin Note Added: 0051927